Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 5 Jul 2006 09:18:57 -0500
From:      "Matt Sealey" <matt@genesi-usa.com>
To:        <freebsd-ports@freebsd.org>
Subject:   ruby-bdb broken somehow?
Message-ID:  <000001c6a03d$f7b129f0$99dfdfdf@bakuhatsu.net>

Next in thread | Raw E-Mail | Index | Archive | Help

root@mithrandir:/usr/ports/databases/ruby-bdb$ portupgrade -f ruby-bdb
/usr/libexec/ld-elf.so.1: /usr/local/lib/ruby/site_ruby/1.8/i386-freebsd4/bdb.so: Undefined symbol "db_version_4002"

This happened during an upgrade to clamav, and now portupgrade is broken (and
won't.. upgrade..)

We use bdb 4.2 on the system, which works with everything else.. but Ruby seems
to have dragged in db 4.3 too.

I have no idea what happened here. All my make.conf flags specify 42.

-- 
Matt Sealey <matt@genesi-usa.com>
Manager, Genesi, Developer Relations




Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?000001c6a03d$f7b129f0$99dfdfdf>